:root {
    --tp-global-color-primary: #AEF73C;
    --tp-global-font-color: rgba(22, 22, 22, 0.7);  
    --tp-global-color-h1: #161616;  
    --tp-global-ff-h1: Roboto;
    --tp-global-button-text-color: #000000;
    --tp-global-button-bg-color: #00000000;
    --tp-global-button-border-color: #000000;
    --tp-global-button-text-hover-color: #000000;
    --tp-global-button-bg-hover-color: #00000000;
    --tp-global-button-border-hover-color: #000000;

}

@font-face {
    font-family: 'Roboto';
    src: url('/wp-content/themes/hello-theme-child-master/fonts/Roboto-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto';
    src: url('/wp-content/themes/hello-theme-child-master/fonts/Roboto-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto Slab';
    src: url('/wp-content/themes/hello-theme-child-master/fonts/RobotoSlab-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto Slab';
    src: url('/wp-content/themes/hello-theme-child-master/fonts/RobotoSlab-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto Slab';
    src: url('/wp-content/themes/hello-theme-child-master/fonts/RobotoSlab-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Fontello'; /* Name you give to the font */
    src: 
         url('/wp-content/themes/hello-theme-child-master/icons/fontello.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


h1:not([data-template-type="header"] h1), h1:not([data-template-type="footer"] h1){
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 40px;
    color:  var(--tp-global-color-h1); 
    text-transform: uppercase;
    word-break: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}

h2:not([data-template-type="header"] h2), h2:not([data-template-type="footer"] h2){
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 32px;
    color:  #161616; 
    text-transform: uppercase;
    word-break: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}

h3:not([data-template-type="header"] h3), h3:not([data-template-type="footer"] h3){
    font-family: 'Roboto';
    font-weight: 600;
    font-size: 25px;
    color:  #161616; 
    line-height: 1.4em!important;
    text-transform: uppercase;
    word-break: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}

h4:not([data-template-type="header"] h4), h4:not([data-template-type="footer"] h4){
    font-family: 'Roboto';
    font-weight: 600;
    font-size: 22px;
    color:  #161616; 
    word-break: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}

h5:not([data-template-type="header"] h5), h5:not([data-template-type="footer"] h5){
    font-family: 'Roboto Slab';
    font-weight: 600;
    font-size: 22px;
    color:  #161616; 
    word-break: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}

h6:not([data-template-type="header"] h6), h6:not([data-template-type="footer"] h6){
    font-family: 'Roboto';
    font-weight: 600;
    font-size: 20px;
    line-height: 1.4em!important;
    color:  #161616; 
    word-break: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}

a:not([data-template-type="header"] a), a:not([data-template-type="footer"] a){
   color: inherit;
   text-decoration: underline;
}

a:not([data-template-type="header"] a), a:not([data-template-type="footer"] a){
    text-decoration: none!important;
}

.elementor-button:not([data-template-type="header"] .elementor-button), .elementor-button:not([data-template-type="footer"] .elementor-button){
    background-color:  #00000000;
    border: 1px solid #000000;
}

.elementor-button:not([data-template-type="header"] .elementor-button):hover, .elementor-button:not([data-template-type="footer"] .elementor-button):hover{
    border: 1px solid #000000!important;
}

.elementor-button-text:not([data-template-type="header"] .elementor-button), .elementor-button-text:not([data-template-type="footer"] .elementor-button), .elementor-widget-blog-buttons .item-link{
    font-family: 'Roboto';
    font-weight: 500;
    font-size: 16px;
    color: #000000;
}

.primary:before{
    background: var(--tp-global-color-primary); 
}

.primary_text:before{
    background: var(--tp-global-color-primary); 
}

.primary_underline{
    text-decoration: underline 5px var(--tp-global-color-primary);
    transition: all 0.3s ease;
}

.primary_underline:hover{
    text-decoration: underline 5px rgb(152,150,150);
}

.cropped_img img{
    width: 100%;
    height: 450px;
    object-fit: cover;
}

div:not(section[data-template-type="header"] div):not(section[data-template-type="footer"] div),
p:not(section[data-template-type="header"] p):not(section[data-template-type="footer"] p),
span:not(section[data-template-type="header"] span):not(section[data-template-type="footer"] span)
{
    font-family: 'Roboto Slab';
    font-size: 16px;
    word-break: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
}



@media screen and (max-width: 1279px) {
h1:not([data-template-type="header"] h1), h1:not([data-template-type="footer"] h1){
    font-size: 36px;
}

h2:not([data-template-type="header"] h2), h2:not([data-template-type="footer"] h2){
    font-size: 32px;
}

h3:not([data-template-type="header"] h3), h3:not([data-template-type="footer"] h3){
    font-size: 22px;
}

h4:not([data-template-type="header"] h4), h4:not([data-template-type="footer"] h4){
    font-size: 20px;
}

h5:not([data-template-type="header"] h5), h5:not([data-template-type="footer"] h5){
    font-size: 21px;
}

h6:not([data-template-type="header"] h6), h6:not([data-template-type="footer"] h6){
    font-size: 18px;
}


.elementor-button-text:not([data-template-type="header"] .elementor-button), .elementor-button-text:not([data-template-type="footer"] .elementor-button), .elementor-widget-blog-buttons .item-link{
    font-size: 16px;
}

div:not(section[data-template-type="header"] div):not(section[data-template-type="footer"] div),
p:not(section[data-template-type="header"] p):not(section[data-template-type="footer"] p),
span:not(section[data-template-type="header"] span):not(section[data-template-type="footer"] span)
{
    font-family: 'Roboto Slab';
    font-size: 16px;
}

}

